<template>
  
    <div class="mx-auto max-w-7xl md:py-8">
        <div class="flex flex-col lg:flex-row">
            <div class="relative w-full bg-cover lg:w-6/12 xl:w-7/12 bg-gradient-to-r from-white via-white to-gray-100">
                <div class="relative flex flex-col items-center justify-center w-full h-full px-10 my-20 lg:px-16 lg:my-0">
                    <div class="flex flex-col items-start space-y-8 tracking-tight lg:max-w-3xl">
                        <div class="relative">
                            <p class="mb-2 font-medium text-gray-700">Stay Healthy</p>
                            <h2 class="text-5xl font-bold text-gray-900 xl:text-6xl">Features to help you stay motivated</h2>
                        </div>
                        <p class="text-2xl text-gray-700">We've created a application that helps you track your and your friend's steps!</p>
                    </div>
                </div>
            </div>

            <div class="w-full bg-white lg:w-6/12 xl:w-5/12">
                <div class="flex flex-col items-start justify-start w-full h-full p-10 lg:p-16 xl:p-24">
                    <h4 class="w-full text-3xl font-bold">Signup</h4>
                    <p class="text-lg text-gray-500">or, if you have an account you can <a href="/Login" class="text-blue-400 underline">sign in</a></p>
                    <div class="relative w-full mt-10 space-y-8">
                        <div class="relative">
                            <label class="font-medium text-gray-900">Name</label>
                            <input v-model="username" for="username" type="text" class="block w-full px-4 py-4 mt-2 text-xl placeholder-gray-400 bg-gray-200 rounded-lg focus:outline-none focus:ring-4 focus:ring-blue-400 focus:ring-opacity-50" placeholder="Enter Your Name">
                        </div>
                        <div class="relative">
                            <label class="font-medium text-gray-900">Email</label>
                            <input v-model="email" for="email" type="text" class="block w-full px-4 py-4 mt-2 text-xl placeholder-gray-400 bg-gray-200 rounded-lg focus:outline-none focus:ring-4 focus:ring-blue-400 focus:ring-opacity-50" placeholder="Enter Your Email Address">
                        </div>
                        <div class="relative">
                            <label class="font-medium text-gray-900">Password</label>
                            <input v-model="password" for="password" type="password" class="block w-full px-4 py-4 mt-2 text-xl placeholder-gray-400 bg-gray-200 rounded-lg focus:outline-none focus:ring-4 focus:ring-blue-400 focus:ring-opacity-50" placeholder="Password">
                        </div>
                        <div class="relative">
                            <a  v-on:click="Register" class="inline-block w-full px-5 py-4 text-lg font-medium text-center text-white transition duration-200 bg-blue-400 rounded-lg hover:bg-blue-500 ease">Create Account</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import axios from "axios";
export default {
 name:"RegisterForm",
data() {
    return{
    email: "",
    username: "",
    password: "",
    login_service_url: import.meta.env.VITE_AUTHENTICATION_URL
    };
},

 methods:{
  Register() {
      console.log("email", this.email, "password is", this.password);
      axios
        .request({
          method: "post",
          url: this.login_service_url + "/Register",
          data: {
            email: this.email,
            username: this.username,
            password: this.password
          },
          headers: {
            "Content-Type": "application/json",
            "Access-Control-Allow-Origin": "*",
          },
        })
        .then(function (response) {
          console.log("I Got a response!!!", response);
          window.location.href = "/Login"

        })
        .catch(function (response) {
          console.log("I Got a bad response!!!");
          console.log(response);
          
        });
 }
}
}



</script>

<style>

</style>